import numpy as np
import matplotlib.pyplot as plt
conc = np.loadtxt('ConcentrationData.txt')
concavg = np.mean(conc)
concstd = np.std(conc)
concmax = np.max(conc)
concmin = np.min(conc)
concn = len(conc)
print('Sample Statistics')
print('average {0:5.2f}'.format(concavg))
print('std dev {0:5.3f}'.format(concstd))
print('maximum ',concmax)
print('minimum ',concmin)
print('count ',concn)

hist, bin_edges = np.histogram(conc,bins=9,range=[16,18.25])
print(bin_edges)
print(hist)

bin_width = bin_edges[1]-bin_edges[0]
n = len(hist)
bin_centers = np.zeros((n))
for i in range(n):
    bin_centers[i] = bin_edges[i]+bin_width/2

plt.bar(bin_centers,hist,width=bin_width,color='w' \
        , edgecolor='k')
plt.grid(axis='y')
plt.xticks(np.arange(16,18.5,0.25),rotation=-90)
plt.xlabel('Concentration - g/L')
plt.ylabel('Frequency')
plt.title('Histogram of Concentration Data')

