import numpy as np
import matplotlib.pyplot as plt

wtpct = np.array([1.,2.,4.,8.,12.,16.,20.,24.,26.])
temp = np.array([0.,10.,25.,40.,60.,80.,100.])
W, T = np.meshgrid(wtpct,temp)
D = np.loadtxt('SaltDensity.csv',delimiter=',',unpack=True)

plt.figure()
contplt = plt.contour(W,T,D,colors='k')
plt.grid()
plt.clabel(contplt)
plt.xlabel('Concentration - wt%')
plt.ylabel('Temperature - degC')
plt.title('Density of NaCl Solutions in gm/cc')

