import numpy as np
import matplotlib.pyplot as plt

Conc = [2, 4, 8, 12, 16, 20]
NaCl = [1.01509, 1.03038, 1.06121, 1.09244, 1.12419 \
        , 1.15663]
MgCl2 = [1.0168, 1.0338, 1.0683, 1.1035, 1.1395, 1.1764]    

plt.plot(Conc,NaCl,c = 'k',marker='o',mec='k' \
         , mfc='w', label='NaCl')
plt.plot(Conc,MgCl2,c = 'k',marker='s', ls = '--' \
         , mec='k' , mfc='w', label="MgCl2")
plt.grid()
plt.xlim(0.,22.)
plt.ylim(1.,1.2)
plt.xticks(np.arange(0,24,2))
plt.yticks(np.arange(1,1.22,0.02))
plt.xlabel('Concentration - wt%')
plt.ylabel('Density - gm/cc')
plt.title('Density of Salt and Mag Chloride Solutions')
plt.legend(loc='lower right')

