import numpy as np
import matplotlib.pyplot as plt
from matplotlib import cm

x = np.linspace(-2,2)
y = np.linspace(-2,2)
X,Y = np.meshgrid(x,y)
Z = 89+0.04*X-0.16*Y-8.09*X**2-5.78*Y**2-5.89*X*Y

fig = plt.figure()
ax1 = fig.add_subplot(111,projection='3d')
ax1.plot_surface(X,Y,Z,cmap=cm.gray)
ax1.grid()
ax1.set_xticks([-2.,-1.,0.,1.,2.])
ax1.set_yticks([-2.,-1.,0.,1.,2.])
ax1.set_zlim(0.,100.)
ax1.set_zticks(np.arange(0.,120.,20.))
ax1.set_xlabel('x')
ax1.set_ylabel('y')
ax1.set_title('Analytical Function')
ax1.view_init(20)
