import numpy as np
import matplotlib.pyplot as plt

t,fuel,co2 = np.loadtxt('furnacedata.txt',delimiter='\t',unpack=True)

curve1 = plt.plot(t,fuel,c='k',label='fuel rate')
plt.grid()
plt.xlabel('Time - s')
plt.ylabel('Normalized Fuel Rate')

plt.twinx()
curve2 = plt.plot(t,co2,c='k',ls='--',label='CO2 %')
plt.ylabel('Flue Gas CO2 Percentage')

curves = curve1 + curve2
labels = []
for curve in curves:
    labels.append(curve.get_label())
plt.legend(curves,labels,loc='lower right')

