import numpy as np
import matplotlib.pyplot as plt

TF = np.arange(0.,220.,10.)
TF = np.append(TF,212.)
TC = (TF-32)/1.8

PV = np.array([0.1275, 0.2128, 0.3479, 0.5078, 0.8386
               , 1.227, 1.7659, 2.5023, 3.4946, 4.8136
               , 6.5016, 8.7911, 11.6712, 15.3276, 19.921
               , 25.6384, 32.692, 41.319, 51.7883, 64.3993
               , 79.4718, 97.3781, 101.3289])

A = 7.2325 ; B = 1750.3 ; C = 235. 
PA = 10**(A-B/(TC+C))

plt.semilogy(TC,PV,c='w',marker='s',mec='k',mfc='w', \
         label = 'Steam Tables')
plt.semilogy(TC,PA,c='k',lw = 1.0, label = 'Antoine Equation')
plt.grid()
plt.xlabel('Temperature - degC')
plt.ylabel('Vapor Pressure - kPa')
plt.title('Vapor Pressure of Water vs Temperature')
plt.legend()

