import numpy as np
import matplotlib.pyplot as plt

x = np.linspace(0,np.pi,100)
y1 = np.sin(x)
y2 = np.cos(x)

fig = plt.figure(figsize=(8,3))
ax1 = fig.add_subplot(121)
ax1.plot(x,y1,c='k',label='sin(x)')
ax1.plot(x,y2,c='k',ls='--',label='cos(x)')
ax1.grid()
ax1.set_xlabel('x')
ax1.set_ylabel('sin(x) and cos(x)')
ax1.set_title('trig functions')
ax1.legend()

ax2 = fig.add_subplot(122)
ax2.plot(y1,y2,c='k')
ax2.grid()
ax2.set_xlabel('sin(x)')
ax2.set_ylabel('cos(x)')
ax2.set_title('cos(x) vs sin(x) for 0 < x < pi')

fig.subplots_adjust(wspace=0.5)
