import random
import numpy as np

def funavg(func,x,**kwargs):
    n = len(x)
    y = np.zeros(n)
    for i in range(n):
        y[i] = func(x[i],**kwargs)
    return np.mean(y)

def genrand(x,mu=0.,sig=1.):
    while True:
        rannum = random.normalvariate(mu,sig)
        if rannum > 0 : break
    return rannum

n = 1000
x = np.arange(1,n+1)

normavg = funavg(genrand,x,sig=4.)
print(normavg)

