import numpy as np

def matmult(A,B):
    (m,nA) = A.shape
    (nB,p) = B.shape
    if nA != nB:
        return 'matrix inner dimensions are not equal'
    n = nA
    C = np.zeros((m,p))
    for i in range(m):
        for j in range(p):
            C[i,j] = 0
            for k in range(n):
                C[i,j] = C[i,j] + A[i,k]*B[k,j]
    return C

A = np.array([[-2, 5],[7, -0.5],[-4, 3.4]])
B = np.array([[0.2, -0.4, 1.2],[4.2, 12, -6],
              [13., 0.33, -4.36]])
C = matmult(A,B)
print(C)

D = A.dot(B)
print(D)

